---

- name: Uninstall ufw (Ubuntu).
  apt:
    name: ufw
    state: absent
    purge: true
  when: ansible_distribution == "Ubuntu"

- name: Uninstall firewalld (CentOS).
  package:
    name: firewalld
    state: absent
  when: ansible_distribution == "CentOS"

- name: Install ferm.
  import_role:
    name: ferm
    allow_duplicates: false
  vars:
    ferm_skip_conflicts_in_check_mode: true

- name: Add ferm rules for LOCKSS.
  template:
    dest: /etc/ferm.d/{{ item | basename | regex_replace('\.j2$', '') }}
    src: "{{ item }}"
    validate: ferm -n %s
  with_fileglob:
    - templates/ferm/*.j2
  notify: restart_ferm

- name: Add ferm rules for LOCKSS.
  copy:
    dest: /etc/ferm.d/{{ item | basename }}
    src: "{{ item }}"
    validate: ferm -n %s
  with_fileglob:
    - templates/ferm/*.ferm
  notify: restart_ferm
